# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'adparlor/facebook/version'

Gem::Specification.new do |spec|
  spec.name          = 'adparlor-facebook'
  spec.version       = Adparlor::Facebook::VERSION
  spec.authors       = ['Kel Stopper', 'Lukas Beaton']
  spec.email         = ['kstopper@adparlor.com', 'lbeaton@adparlor.com']

  spec.summary       = 'A ruby implementation of the facebook sdk'
  spec.description   = 'The adparlor-facebook gem is a ruby library for interacting with the Facebook ads API. Supporting both REST and batch requests.'
  spec.homepage      = 'http://adparlor.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-bundler'
  spec.add_development_dependency 'guard-rspec'
  spec.add_development_dependency 'guard-rubocop'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec-rerun'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'byebug'

  spec.add_dependency 'faraday'
  spec.add_dependency 'faraday_middleware'
  spec.add_dependency 'httpclient'
  spec.add_dependency 'mime-types'
end
